gmp++_int_misc.C File Reference

miscing stuff. More...

`#include <iostream>`
`#include <cmath>`
`#include "gmp++/gmp++.h"`
`#include <sstream>`
Include dependency graph for gmp++_int_misc.C:

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Functions

Integer | fact (uint64_t l)
Integer & | sqrt (Integer &r, const Integer &p)
Integer & | sqrtrem (Integer &r, const Integer &p, Integer &rem)
Integer | sqrt (const Integer &p)
Integer | sqrtrem (const Integer &p, Integer &rem)
bool | root (Integer &q, const Integer &a, uint32_t n)
void | swap (Integer &a, Integer &b)
double | naturallog (const Integer &a)
bool | isOdd (const Integer &a)
| Tests parity of an integer.
int64_t | logp (const Integer &a, const Integer &p)
double | logtwo (const Integer &a)
uint64_t | length (const Integer &a)

## Detailed Description

miscing stuff.